import Cookies from 'js-cookie'

const TokenKey = 'AdminOMS-Token'

const ExpiresInKey = 'AdminOMS-Expires-In'

export function getToken() {
  if(process.env.NODE_ENV === 'development'){
    return 'eyJhbGciOiJIUzUxMiJ9.eyJ1c2VyX2lkIjoxLCJ1c2VyX2tleSI6ImI0YjgwZjVjLTI3ODctNDAwZi05MzI2LTgxNzM0MzU3YjdiZSIsInVzZXJuYW1lIjoiYWRtaW4ifQ.lykgqxmyRK8of4KSzR0iAXC4AfVD5ef-GabF_8IkND_8pBFFgn5m09ALqhcyalY3dddhHm2ZUGUAhAnzh96EMA'
  }else{
    return Cookies.get(TokenKey)
  }
  
}

export function setToken(token:string) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1
}

export function setExpiresIn(time:any) {
  return Cookies.set(ExpiresInKey, time)
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey)
}
